<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004 Alessandro De Zorzi and Mirko Grava
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Count the alias
* 
* @package functions
* @subpackage accessories
* @author Alessandro De Zorzi <adezorzi@rhx.it>
* 
* @var string domain
* @var string mail_new
* @var string quota
* @var string real_name
* @var string password
* @return integer $info["count"]
**/

function alias_count ($domain)
{
    global $connect;
    global $LDAP_BASE;

    $filter="(&(objectClass=VirtualMailAlias)(!(maildrop=postmaster)))";
	$attributes = array('cn');
	
    $sr = ldap_list($connect, "vd=$domain,$LDAP_BASE", $filter,$attributes);
    $info = ldap_get_entries($connect, $sr);

    return $info["count"];
}
?>
